Package com.pixelmed.test

# Class UserInterfaceUtilities

java.lang.Object
com.pixelmed.test.UserInterfaceUtilities

public class UserInterfaceUtilities extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Map<String,JDialog>`
`openDialogs`

## Constructor Summary

Constructors
Constructor
Description
`UserInterfaceUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`dumpAllFramesAndChildren(PrintStream stream)`
`protected static void`
`dumpAllFramesAndChildren(PrintStream stream, String indentSoFar, String indentOne)`
`protected static void`
`dumpAllOwnedWindows(Window[] windows, PrintStream stream, String indentSoFar, String indentOne)`
`protected static void`
`dumpAllOwnedWindows(Window w, PrintStream stream, String indentSoFar, String indentOne)`
`static void`
`dumpAllOwnedWindows(PrintStream stream)`
`protected static void`
`dumpAllOwnedWindows(PrintStream stream, String indentSoFar, String indentOne)`
`static void`
`dumpComponentAndChildren(Component c, PrintStream stream)`
`protected static void`
`dumpComponentAndChildren(Component c, PrintStream stream, String indentSoFar, String indentOne)`
`static void`
`dumpRootPaneAndChildren(PrintStream stream)`
`protected static void`
`dumpRootPaneAndChildren(PrintStream stream, String indentSoFar, String indentOne)`
`static Component[]`
`findComponentsOfClass(Component parent, String className)`
`static Component[]`
`findComponentsOfClass(String className)`
`protected static void`
`findComponentsOfClass(ArrayList<Component> found, Component c, String className)`
`static Component[]`
`findComponentsOfClassWithTextValue(Component parent, String className, String textValue)`
`static Component[]`
`findComponentsOfClassWithTextValue(String className, String textValue)`
`protected static void`
`findComponentsOfClassWithTextValue(ArrayList<Component> found, Component c, String className, String textValue)`
`static JDialog`
`getOpenDialogByTitle(String title)`
`static void`
`registerWindowOpeningAndClosingListenerToTrackDialogs()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### openDialogs

protected static Map<String,JDialog> openDialogs

## Constructor Details

### UserInterfaceUtilities

public UserInterfaceUtilities()

## Method Details

### dumpAllOwnedWindows

protected static void dumpAllOwnedWindows(Window w, PrintStream stream, String indentSoFar, String indentOne)

### dumpAllOwnedWindows

protected static void dumpAllOwnedWindows(Window[] windows, PrintStream stream, String indentSoFar, String indentOne)

### dumpAllOwnedWindows

protected static void dumpAllOwnedWindows(PrintStream stream, String indentSoFar, String indentOne)

### dumpAllOwnedWindows

public static void dumpAllOwnedWindows(PrintStream stream)

### dumpRootPaneAndChildren

protected static void dumpRootPaneAndChildren(PrintStream stream, String indentSoFar, String indentOne)

### dumpRootPaneAndChildren

public static void dumpRootPaneAndChildren(PrintStream stream)

### dumpComponentAndChildren

protected static void dumpComponentAndChildren(Component c, PrintStream stream, String indentSoFar, String indentOne)

### dumpComponentAndChildren

public static void dumpComponentAndChildren(Component c, PrintStream stream)

### dumpAllFramesAndChildren

protected static void dumpAllFramesAndChildren(PrintStream stream, String indentSoFar, String indentOne)

### dumpAllFramesAndChildren

public static void dumpAllFramesAndChildren(PrintStream stream)

### findComponentsOfClassWithTextValue

protected static void findComponentsOfClassWithTextValue(ArrayList<Component> found, Component c, String className, String textValue)

### findComponentsOfClassWithTextValue

public static Component[] findComponentsOfClassWithTextValue(Component parent, String className, String textValue)

### findComponentsOfClassWithTextValue

public static Component[] findComponentsOfClassWithTextValue(String className, String textValue)

### findComponentsOfClass

protected static void findComponentsOfClass(ArrayList<Component> found, Component c, String className)

### findComponentsOfClass

public static Component[] findComponentsOfClass(Component parent, String className)

### findComponentsOfClass

public static Component[] findComponentsOfClass(String className)

### registerWindowOpeningAndClosingListenerToTrackDialogs

public static void registerWindowOpeningAndClosingListenerToTrackDialogs()

### getOpenDialogByTitle

public static JDialog getOpenDialogByTitle(String title)